[CentOS] Upgrading PHP + MySQL on CentOS 3

David Zentgraf deceze at gmail.com
Tue Oct 23 08:27:20 UTC 2007


Hi,

I have a CentOS 3 server that I need to update to MySQL 5 + PHP4. I  
downloaded and installed the MySQL client and server RPM packages for  
Red Hat 3, including the Shared Compatibility Libraries which  
provide /usr/lib/libmysqlclient.so.10, .12, .14 and .15, which seems  
to be the recommended way of upgrading a MySQL 3 installation. I then  
went on to recompile PHP 4.4.7, which worked fine. But my PHP  
installation is still using libmysqlclient.so.10, which does not play  
100% correctly with the current MySQL 5 server. I'd need it to use  
libmysqlclient.so.15. Apparently /usr/lib/php4/mysql.so is linked to  
libmysqlclient.so.10.

How do I update/replace/relink the php-mysql connector to have PHP  
talk to MySQL using the current client libraries?

Any hints'd greatly appreciated.
Cheers,
Dav



More information about the CentOS mailing list